> For the complete documentation index, see [llms.txt](https://docs.itgrix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.itgrix.com/for-admins/implementation-of-callback-in-bitrix24.md).

# Implementation of callback in Bitrix24

**2** implementation option&#x73;**:**

1\) The call comes to one person (parameters as in originate).\
We need to add the following to our config (example for calling 123):

`"callback": {`\
`"caller_id": "Callback to #TO#",`\
`"channel": "SIP/123",`\
`"context": "from-internal",`\
`"extension": "#TO#",`\
`"priority": "1"`\
`}`

2\) Or the call comes to the group via a local channel.\
The downside is that such calls are often not recorded, as they go through local channels.\
If there are events in CEL on SIP/# channels when calling internal numbers, then the call will be registered.\
In `/etc/asterisk/extensions_custom.conf` add:

`[from-callback-n]`\
`exten => s,1,Goto(from-internal,#number#,1)`\
\`\`\
`[from-callback]`\
`exten => _8ZXXXXXXXXX,1,Dial(SIP/#trunk#/${EXTEN},30,)`

In the module configuration file `/etc/itgrix_bx/config.json` add:\
`"callback": {`\
`"caller_id": "Callback to #TO#",`\
`"channel": "Local/s@from-callback-n",`\
`"context": "from-callback",`\
`"extension": "#TO#",`\
`"priority": "1"`\
`}`

\
On the portal, create a form similar to\
<https://zadarma.com/en/support/instructions/bitrix-widget/>\
The application will appear in the selection when the module is installed or launched.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.itgrix.com/for-admins/implementation-of-callback-in-bitrix24.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
